﻿class Avatar {
  public static var HAPPY:Number = 0;
  public static var SAD:Number = 1;
  public static var IDLE:Number = 2;

  private var av_mc:MovieClip;

  public function Avatar (name:String, target:MovieClip, 
                          depth:Number, x:Number, y:Number) {
    av_mc = target.attachMovie("AvatarSymbol", name, depth);
    setState(Avatar.HAPPY);
    setPosition(x, y);
  }

  public function setState(newState:Number):Void {
    switch (newState) {
      case Avatar.HAPPY:
        av_mc.gotoAndStop("HAPPY");
        break;
      case Avatar.SAD:
        av_mc.gotoAndStop("SAD");
        break;
      case Avatar.IDLE:
        av_mc.gotoAndStop("IDLE");
        break;
    }
  }

  public function setPosition (x:Number, y:Number):Void {
    av_mc._x = x;
    av_mc._y = y;
  }
}
